Subject: RE: bug#45821: Emacs UDP support on Windows

From: Alex Matei <[email-masked]>
Date: Wed, 11 Jan 2023 13:09:54 +0000

I might be crazy 🤷‍♂️: from what I can tell, even the official build 28.1 of Emacs has the same issue:

  *   The network tests are not passing even for the official build 28.1! 🤯 ; I have manually downloaded the source code from emacs-mirror/emacs at emacs-28 (github.com)<https://github.com/emacs-mirror/emacs/tree/emacs-28>, and ran the networking tests using my existing 28.1 Emacs installation that uses the official Windows binaries
  *   As you can see in the attached screenshot: the network tests are failing in the same place, ‘connect-to-tls-ipv4-wait/nowait’

p.s. this doesn’t mean that we might not have a regression
p.p.s. this also doesn’t mean that we won’t fix these tests😃

Sent from Mail<https://go.microsoft.com/fwlink/?LinkId=550986> for Windows

From: Robert Pluim<mailto:[email-masked]>
Sent: Tuesday, January 10, 2023 5:56 AM
To: Alex Matei<mailto:[email-masked]>
Cc: Eli Zaretskii<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: bug#45821: Emacs UDP support on Windows

>>>>> On Tue, 10 Jan 2023 12:41:12 +0000, Alex Matei <[email-masked]> said:

    Alex> Okay, it looks like the ‘connect-to-tls-ipv4-wait’ test just hangs
    Alex> (together with Emacs instance) so gdb still doesn’t capture any
    Alex> exceptions.

    Alex>   *   It looks like this will require debugging and potentially some more tracing on my end 😊

    Alex> It is great though that we have a good repro, that we can dive into! 🤞

I see the same, but in my case itʼs because gnutls-serv has crashed,
so it never responds to emacs.

Robert
--